from fastapi import APIRouter, HTTPException
from helpers.contact_form_helpers import create_contact_form, validate_email
from schemas.contact_form import ContactFormCreate

router = APIRouter()

@router.post("/form", status_code=201)
async def submit_contact_form(contact_form_data: ContactFormCreate):
    if not validate_email(contact_form_data.email):
        raise HTTPException(status_code=400, detail="Invalid email format")

    new_contact_form = create_contact_form(contact_form_data=contact_form_data)
    return new_contact_form